#!/bin/bash

set -e

ROOTDIR=`dirname $0`
BUILDDIR=$ROOTDIR/build/ensemble
WEBDIR=$ROOTDIR/web/docs

if [ -d $BUILDDIR ]; then
	(
		cd $BUILDDIR
		OLD_REVNO=`bzr revno`
		bzr pull -q
		NEW_REVNO=`bzr revno`

		if [ "$OLD_REVNO" != "$NEW_REVNO" -a -d $WEBDIR ]; then
			exit 0
		fi
	)
else
	mkdir -p `dirname $BUILDDIR`
	bzr branch lp:ensemble $BUILDDIR
fi

mkdir -p `dirname $WEBDIR`

# Avoid the msg on stderr
rm -rf $BUILDDIR/docs/build
mkdir -p $BUILDDIR/docs/build/html
(cd $BUILDDIR/docs && make html > /dev/null)

if [ -d $WEBDIR ]; then
	rm -rf $WEBDIR.old
	mv $WEBDIR $WEBDIR.old
	mv $BUILDDIR/docs/build/html $WEBDIR
	rm -rf $WEBDIR.old
else
	mv $BUILDDIR/docs/build/html $WEBDIR
fi
